Skip to main content
PUT
/
api
/
own-restricted-list
/
{id}
updateList
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/own-restricted-list/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "listName": "<string>",
  "active": true,
  "domainIds": [
    123
  ]
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/own-restricted-list/{id}"

payload = {
"listName": "<string>",
"active": True,
"domainIds": [123]
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({listName: '<string>', active: true, domainIds: [123]})
};

fetch('https://api.artemis.cynopsis.co/api/own-restricted-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "createdAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "domains": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "id": 123,
  "listName": "<string>",
  "nameOnList": 123,
  "updatedAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

id
integer<int64>
required

id

Body

application/json

request

listName
string
required
active
boolean
domainIds
integer<int64>[]

Response

OK

active
boolean
createdAt
Timestamp · object
createdBy
UserInfo · object
domains
DomainDto · object[]
id
integer<int64>
listName
string
nameOnList
integer<int32>
updatedAt
Timestamp · object
updatedBy
UserInfo · object